<?php

namespace Solarium\QueryType\Analysis\RequestBuilder;

use Solarium\Core\Client\Request;
use Solarium\Core\Query\QueryInterface;
use Solarium\QueryType\Analysis\Query\Field as QueryField;

/**
 * Build a field analysis request.
 */
class Field extends RequestBuilder
{
    /**
     * Build request for an analysis field query.
     *
     * @param QueryInterface|QueryField $query
     *
     * @return Request
     */
    public function build(QueryInterface $query)
    {
        $request = parent::build($query);

        $request->addParam('analysis.fieldvalue', $query->getFieldValue());
        $request->addParam('analysis.fieldname', $query->getFieldName());
        $request->addParam('analysis.fieldtype', $query->getFieldType());

        return $request;
    }
}
